package com.platform.modules.live.entity;

import java.io.Serializable;
import java.util.Date;

import org.hibernate.validator.constraints.NotBlank;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
/**
 * 现场栏目信息
 * 
 * @author weiyan
 * @email 
 * @date 2019-03-28 10:06:27
 */
@TableName("live_channel")
@ApiModel("直播栏目表")
public class LiveChannelEntity implements Serializable {
	private static final long serialVersionUID = 1L;
	
	//栏目数据ID
	@NotBlank(message = "id不能为空")
	@ApiModelProperty(value = "创建人")
	private Integer id;
	//栏目名称
	@NotBlank(message = "name不能为空")
	@ApiModelProperty(value = "栏目名称", required = true)
	private String name;
	//栏目标识
	@NotBlank(message = "identify不能为空")
	@ApiModelProperty(value = "栏目唯一标识", required = true)
	private String identify;
	//排序,数字越大，排序越靠前
	@NotBlank(message = "priority不能为空")
	@ApiModelProperty(value = "栏目排序,数字越大，排序越靠前", required = true)
	private Integer priority;
	//是否显示 0 不显示 1显示
	@NotBlank(message = "isDisplay不能为空")
	@ApiModelProperty(value = "是否显示 0 不显示 1显示", required = true)
	private Integer isDisplay;
	//创建日期
	@NotBlank(message = "createDate不能为空")
	@ApiModelProperty(value = "创建日期")
	private Date createDate;
	//创建人
	@NotBlank(message = "creatorId不能为空")
	@ApiModelProperty(value = "创建人ID", hidden=true)
	private Long creatorId;
	//修改时间
	@NotBlank(message = "lastUpdateDate不能为空")
	@ApiModelProperty(value = "最后修改时间")
	private Date lastUpdateDate;
	//修改人
	@NotBlank(message = "lastUpdateUser不能为空")
	@ApiModelProperty(value = "最后修改人ID", hidden=true)
	private Long lastUpdateUser;
	//是否删除 0 未删除 1删除
	@NotBlank(message = "isDelete不能为空")
	@ApiModelProperty(value = "是否显示 0 不显示 1显示", hidden=true)
	private Integer isDelete;
	@TableField(exist=false)
	@ApiModelProperty(value = "创建人")
	private String creatorUserName;
	@TableField(exist=false)
	@ApiModelProperty(value = "最后操作人")
	private String lastUpdateUserName;

	/**
	 * 设置：栏目数据ID
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：栏目数据ID
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：栏目名称
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * 获取：栏目名称
	 */
	public String getName() {
		return name;
	}
	/**
	 * 设置：栏目标识
	 */
	public void setIdentify(String identify) {
		this.identify = identify;
	}
	/**
	 * 获取：栏目标识
	 */
	public String getIdentify() {
		return identify;
	}
	/**
	 * 设置：排序,数字越大，排序越靠前
	 */
	public void setPriority(Integer priority) {
		this.priority = priority;
	}
	/**
	 * 获取：排序,数字越大，排序越靠前
	 */
	public Integer getPriority() {
		return priority;
	}
	/**
	 * 设置：是否显示 0 不显示 1显示
	 */
	public void setIsDisplay(Integer isDisplay) {
		this.isDisplay = isDisplay;
	}
	/**
	 * 获取：是否显示 0 不显示 1显示
	 */
	public Integer getIsDisplay() {
		return isDisplay;
	}
	/**
	 * 设置：创建日期
	 */
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	/**
	 * 获取：创建日期
	 */
	public Date getCreateDate() {
		return createDate;
	}
	/**
	 * 设置：创建人
	 */
	public void setCreatorId(Long creatorId) {
		this.creatorId = creatorId;
	}
	/**
	 * 获取：创建人
	 */
	public Long getCreatorId() {
		return creatorId;
	}
	/**
	 * 设置：修改时间
	 */
	public void setLastUpdateDate(Date lastUpdateDate) {
		this.lastUpdateDate = lastUpdateDate;
	}
	/**
	 * 获取：修改时间
	 */
	public Date getLastUpdateDate() {
		return lastUpdateDate;
	}
	/**
	 * 设置：修改人
	 */
	public void setLastUpdateUser(Long lastUpdateUser) {
		this.lastUpdateUser = lastUpdateUser;
	}
	/**
	 * 获取：修改人
	 */
	public Long getLastUpdateUser() {
		return lastUpdateUser;
	}
	/**
	 * 设置：是否删除 0 未删除 1删除
	 */
	public void setIsDelete(Integer isDelete) {
		this.isDelete = isDelete;
	}
	/**
	 * 获取：是否删除 0 未删除 1删除
	 */
	public Integer getIsDelete() {
		return isDelete;
	}
	/**
	 * 获取：创建人
	 */
	public String getCreatorUserName() {
		return creatorUserName;
	}
	/**
	 * 设置：创建人
	 */
	public void setCreatorUserName(String creatorUserName) {
		this.creatorUserName = creatorUserName;
	}
	/**
	 * 设置：最后修改人名
	 */
	public String getLastUpdateUserName() {
		return lastUpdateUserName;
	}
	/**
	 * 获取：最后修改人名
	 */
	public void setLastUpdateUserName(String lastUpdateUserName) {
		this.lastUpdateUserName = lastUpdateUserName;
	}
}
